/*
 * Created on Jul 29, 2004
 *
 * This file is licensed under the terms of the Artistic License as
 * described at http://www.opensource.org/licenses/artistic-license.php
 *
 * Use and/or redistribution under the terms of the GNU Lesser GPL
 * (http://www.opensource.org/licenses/lgpl-license.php) is also allowed.
 */
package com.blackperl.Perl;

/**
 * One-line class summary.
 * 
 * Extended description.
 * 
 * @author rjray
 * @version $Id$
 */
public final class Tr
{
    private static Tr singleton;
    
    /**
     * Basic constructor, explicitly declared here as <code>private</code> to
     * prevent other classes instantiating this class.
     */
    private Tr()
    {
        super();
    }
    
    /**
     * The <code>instance</code> method is used to retrieve the
     * <code>Tr</code> singleton that applications can use in lieu of
     * invoking the methods statically.
     * 
     * @return  Singleton instance of the Tr class
     */
    public synchronized static Tr instance()
    {
        if (singleton == null)
        {
            singleton = new Tr();
        }
        
        return(singleton);
    }
}
